Package mvpa :: Package clfs :: Package libsmlrc :: Module ctypes_helper

[hide private]
[frames] | no frames]

# Module ctypes_helper

source code

Helpers for wrapping C libraries with ctypes.

Functions | [hide private]

extend_args(*args) Turn ndarray arguments into dims and arrays. | source code

process_args(*args) Turn ndarray arguments into dims and array pointers for calling a ctypes-wrapped function. | source code

get_argtypes(*args) | source code

Variables | [hide private]

| c_darray = `N.ctypeslib.ndpointer(dtype= N.float64, flags= 'ali`...``
| c_larray = `N.ctypeslib.ndpointer(dtype= N.int64, flags= 'align`...``
| c_farray = `N.ctypeslib.ndpointer(dtype= N.float32, flags= 'ali`...``
| c_iarray = `N.ctypeslib.ndpointer(dtype= N.int32, flags= 'align`...``
| typemap = `{N.float64: C.c_double, N.float32: C.c_float, N.int6`...``

Imports: N, C

Variables Details | [hide private]

### c_darray

Value:

      N.ctypeslib.ndpointer(dtype= N.float64, flags= 'aligned,contiguous')

### c_larray

Value:

      N.ctypeslib.ndpointer(dtype= N.int64, flags= 'aligned,contiguous')

### c_farray

Value:

      N.ctypeslib.ndpointer(dtype= N.float32, flags= 'aligned,contiguous')

### c_iarray

Value:

      N.ctypeslib.ndpointer(dtype= N.int32, flags= 'aligned,contiguous')

### typemap

Value:

      {N.float64: C.c_double, N.float32: C.c_float, N.int64: C.c_int64, N.in
      t32: C.c_int32}